Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 616036 (CVE-2017-5462)

Summary: <dev-libs/nss-3.29.5: DRBG flaw
Product: Gentoo Security Reporter: Thomas Deutschmann <whissi>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: minor CC: mozilla
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard: A4 [glsa cve glsa blocked]
Package list:
Runtime testing required: ---
Bug Depends on: 616032    
Bug Blocks:    

Description Thomas Deutschmann gentoo-dev Security 2017-04-19 18:34:06 UTC
From https://www.mozilla.org/en-US/security/advisories/mfsa2017-11/:

CVE-2017-5462: DRBG flaw in NSS

Impact
    moderate

Description

A flaw in DRBG number generation within the Network Security
Services (NSS) library where the internal state V does not correctly carry
bits over. The NSS library has been updated to fix this issue to address
this issue and Firefox ESR 45.9 has been updated with NSS version 3.21.4.
Comment 1 Ian Stakenvicius (RETIRED) gentoo-dev 2017-04-19 20:22:10 UTC
Addressed in >=dev-libs/nss-3.29.5 and >=dev-libs/nss-3.30.1

Please follow bug 616032 for stabilization of dev-libs/nss-3.29.5
Comment 2 Yury German Gentoo Infrastructure gentoo-dev 2017-04-30 13:51:24 UTC
New GLSA Request filed.
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2017-05-07 20:29:24 UTC
This issue was resolved and addressed in
 GLSA 201705-04 at https://security.gentoo.org/glsa/201705-04
by GLSA coordinator Thomas Deutschmann (whissi).